<?php
namespace Mirasvit\LandingPage\Plugin\Frontend\ApplySearchTermFilterPlugin;

/**
 * Interceptor class for @see \Mirasvit\LandingPage\Plugin\Frontend\ApplySearchTermFilterPlugin
 */
class Interceptor extends \Mirasvit\LandingPage\Plugin\Frontend\ApplySearchTermFilterPlugin implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\LandingPage\Repository\PageRepository $pageRepository, \Mirasvit\LandingPage\Repository\FilterRepository $filterRepository, \Magento\Framework\App\RequestInterface $request, \Magento\Framework\ObjectManagerInterface $objectManager)
    {
        $this->___init();
        parent::__construct($pageRepository, $filterRepository, $request, $objectManager);
    }

    /**
     * {@inheritdoc}
     */
    public function getFilters(\Magento\Catalog\Model\Layer $layer)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getFilters');
        return $pluginInfo ? $this->___callPlugins('getFilters', func_get_args(), $pluginInfo) : parent::getFilters($layer);
    }
}
